Bug 1468519 - [DOC] Disclaimer, required for controller/Compute Disk Space
[DOC] Disclaimer, required for controller/Compute Disk Space
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHOS Documentation Team
RHOS Documentation Team
Depends On:
  Show dependency treegraph
Reported: 2017-07-07 06:16 EDT by Nikhil Shetty
Modified: 2018-01-08 06:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nikhil Shetty 2017-07-07 06:16:02 EDT
Description of problem:We Need Clear Disclaimers in the Section For Controller/Compute hardware Requirements Stating that For Controllers at the time of deployment for 
1) Swift it is recommended to Have 1 TB of SSD Disks on controller
2) For Ceilometer it is recommended to have 500GB of Disk Space Free on controller
3) On Compute If the cu. uses the local Disk, the Instances can take up a lot of disk space

Version-Release number of selected component (if applicable):NA

How reproducible:NA

Steps to Reproduce:NA

Actual results: https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html-single/director_installation_and_usage/#sect-Controller_Node_Requirements


In the above Section We are stating that only 40 GB of free disk space is enough for deployment  which is clearly not something which can be specified at for a Cu. who is New to Openstack And wishes to deploy Openstack for his production Environment will be misguided by the above Statement.

We need to be specific that, in case of Controller We need to have a specific Amount of Disk space after consultation with DFG as to what would be the ideal scenario for having Disk Space or Disk type for their Application/instances

Expected results: We should specify atleast 1TB for controllers & 500 GB for Compute Nodes for any Production.

Additional info: The use cases have been specified in the problem Description Itself
Comment 7 Jaison Raju 2017-07-19 03:16:11 EDT
Hi Dan,

The concern is that the minimum recommended will change as per the planned storage & use of components like gnocchi / ceilometer etc .
The operator should be made aware of the while reviewing installation requirements.
Give me 2days to come up with a good content for this.
will clear needinfo when i do .
Comment 8 Jaison Raju 2017-12-26 06:02:34 EST
Hi Dan,

I apologize for the delay.
We can close this doc bug.
I noticed the google doc being made for https://bugzilla.redhat.com/show_bug.cgi?id=1468573 .

The section 'Disk Storage and Layout' in doc in progress covers my concerns.
Are we going to add that in all RHOS version docs ?
If so we can close this as duplicate.

Jaison R
Comment 9 Dan Macpherson 2017-12-29 01:30:17 EST
I think we're publishing it for OSP12 only at the moment:


Not 100% if everything in that doc covers previous versions.
Comment 10 Jaison Raju 2018-01-05 02:30:52 EST
I am okay if atleast the 'Disk Storage and Layout' section is present in RHOS10 docs.

If this is not yet planned , can you do it ?
Comment 11 Dan Macpherson 2018-01-08 06:19:07 EST

Note You need to log in before you can comment on or make changes to this bug.